#include<bits/stdc++.h>

using namespace std;

#define int long long

const int MAXN = 5e5 + 31;

vector<int> now[10];

int a[MAXN];

int n, k;
int ans = 0;

signed main(){
    cin >> n >> k;
    vector<pair<int, int>> gd;
    for(int i = 0; i < n; i++) cin >> a[i];
    for(int i = 0; i < n; i++){
        gd.push_back({-a[i], -i});
    }
    sort(gd.begin(), gd.end());
    vector<int> col(n);
    int mx = -1;
    int ans = 0;
    for(int i = 1; i < k; i++){
        int pos = -gd[i - 1].second;
        col[pos] = i;
        mx = max(mx, pos + 1);
        ans += -gd[i - 1].first;
    }
    ans += mx + 1;
    int gg = 0, add = 0;
    for(int i = mx + 1; i < n; i++){
        add++;
        gg = max(gg, a[i] + add);
    }
    cout << ans + gg;
}


